-- noBrainConfig.lua

local function noBrainBuildConfig(MoonTimeConfigPanel)
	local L
	
	if ( GetLocale() == "deDE" ) then
		L = MoonTime_noBrainConfig_Strings["deDE"]
		else
		L = MoonTime_noBrainConfig_Strings["enGB"]
	end
	
	
	local MoonTime_Layout_noBrain_ConfigPanel_background = CreateFrame( "ScrollFrame", "MoonTime_Layout_noBrain_ConfigPanelbackground", MoonTimeConfigPanel);
	MoonTime_Layout_noBrain_ConfigPanel_background:SetBackdropColor(1,0,1,1)
	MoonTime_Layout_noBrain_ConfigPanel_background:SetWidth(200)
	MoonTime_Layout_noBrain_ConfigPanel_background:SetHeight(200)
	MoonTime_Layout_noBrain_ConfigPanel_background.name = "noBrain";
	MoonTime_Layout_noBrain_ConfigPanel_background.parent = MoonTimeConfigPanel.name;	
	
	local MoonTime_Layout_noBrain_ConfigPanel = CreateFrame( "Frame", "MoonTime_Layout_noBrain_ConfigPanel", MoonTime_Layout_noBrain_ConfigPanel_background);
	MoonTime_Layout_noBrain_ConfigPanel:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel_background, "TOPLEFT",0,0)
	MoonTime_Layout_noBrain_ConfigPanel:SetWidth(1)
	MoonTime_Layout_noBrain_ConfigPanel:SetHeight(1)
	
	local MoonTime_Layout_noBrain_ConfigPanel_popup = CreateFrame( "Frame", "MoonTime_Layout_noBrain_ConfigPanel", MoonTime_Layout_noBrain_ConfigPanel_background);
	MoonTime_Layout_noBrain_ConfigPanel_popup:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel_background, "TOPLEFT",0,0)
	MoonTime_Layout_noBrain_ConfigPanel_popup:SetWidth(1)
	MoonTime_Layout_noBrain_ConfigPanel_popup:SetHeight(1)
	
	
	
	
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormalLarge", "TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 10, -10, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText("|cffFFFF00".."Layout noBrain".."|r")
	textbox:Show()	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "TOPLEFT", textbox, "BOTTOMLEFT", 0, 0, 500, 100, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["description"])
	textbox:SetHeight(textbox:GetStringHeight())
	textbox:Show()	
	
	
	local editframe9 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox9", MoonTime_Layout_noBrain_ConfigPanel, "InputBoxTemplate","TOPLEFT", textbox, "BOTTOMLEFT", 10, -10, 50,12)
	editframe9:SetAutoFocus(false) 
	editframe9:SetText(MoonTime_DB["Layout_noBrain"]["blink_factor"]);
	editframe9:SetCursorPosition(0)
	editframe9:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "LEFT", editframe9, "RIGHT", 5, 0, 200, 30, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["noBrainConfig_Factor"])
	textbox:SetJustifyH("LEFT")
	textbox:Show()	
	
	
	local editframe8 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox8", MoonTime_Layout_noBrain_ConfigPanel, "InputBoxTemplate", "LEFT", editframe9, "RIGHT", 200, 0, 50, 12)
	editframe8:SetAutoFocus(false) 
	editframe8:SetText(MoonTime_DB["Layout_noBrain"]["blink_time_descale"]);
	editframe8:SetCursorPosition(0)
	editframe8:Show()
	
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "LEFT", editframe8, "RIGHT", 5, 0, 200, 30, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["noBrainConfig_Time"])
	textbox:Show()		
	
	
	
	
	
	
	local textbox1 = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "TOPLEFT", editframe9, "BOTTOMLEFT", -10, -5, 500, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox1:SetText(L["noBrainConfig_ActiveSpells"])
	textbox1:Show()
	
	
	-- Sternensog
	local checkbutton_1 = MoonTime:CreateFrame("CheckButton", "CheckButton_1", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", textbox1, "BOTTOMLEFT", 4, 0, 28, 28)
	if MoonTime_DB["Layout_noBrain"]["blinkspells"][SS_icon] then checkbutton_1:SetChecked(true) end
	checkbutton_1:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox2", "ARTWORK","GameFontNormal", "LEFT", checkbutton_1, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(SS_name)
	textbox:Show()	
	
	--Sternenregen
	local checkbutton_6 = MoonTime:CreateFrame("CheckButton", "CheckButton_6", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", textbox1, "BOTTOMLEFT", 4, -20, 28, 28)
	if MoonTime_DB["Layout_noBrain"]["blinkspells"][SR_icon] then checkbutton_6:SetChecked(true) end
	checkbutton_6:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal", "LEFT", checkbutton_6, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(SR_name)
	textbox:Show()
	
	
	--Mondfeuer
	local checkbutton_2 = MoonTime:CreateFrame("CheckButton", "CheckButton_2", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", textbox1, "BOTTOMLEFT", 204, 0, 28, 28)
	if MoonTime_DB["Layout_noBrain"]["blinkspells"][MF_icon] then checkbutton_2:SetChecked(true) end
	checkbutton_2:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox2", "ARTWORK","GameFontNormal", "LEFT", checkbutton_2, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(MF_name)
	textbox:Show()	
	
	
	
	--Sonnenfeuer
	local checkbutton_3 = MoonTime:CreateFrame("CheckButton", "CheckButton_4", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", textbox1, "BOTTOMLEFT", 204, -20, 28, 28)
	if MoonTime_DB["Layout_noBrain"]["blinkspells"][SunF_icon] then checkbutton_3:SetChecked(true) end
	checkbutton_3:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal", "LEFT", checkbutton_3, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(SunF_name)
	textbox:Show()
	
	
	--Sternenfeuer
	local checkbutton_5 = MoonTime:CreateFrame("CheckButton", "CheckButton_5", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", textbox1, "BOTTOMLEFT", 404, 0, 28, 28)
	if MoonTime_DB["Layout_noBrain"]["blinkspells"][SF_icon] then checkbutton_5:SetChecked(true) end
	checkbutton_5:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal", "LEFT", checkbutton_5, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(SF_name)
	textbox:Show()
	
	--Zorn
	local checkbutton_4 = MoonTime:CreateFrame("CheckButton", "CheckButton_3", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", textbox1, "BOTTOMLEFT", 404, -20, 28, 28)
	if MoonTime_DB["Layout_noBrain"]["blinkspells"][W_icon] then checkbutton_4:SetChecked(true) end
	checkbutton_4:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal", "LEFT", checkbutton_4, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(W_name)
	textbox:Show()
	
	
	
	
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal",  "TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 10, -160, 500, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["noBrainConfig_Rotation"])
	textbox:Show()	
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal",  "TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 10, -220, 500, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["RotationsForSelection"])
	textbox:Show()	
	
	
	-- MoonTime_DB["Layout_noBrain"]["rotation"]
	
	local liste = {"default", "mix", "ae", "custom1", "custom2"}
	local buttons = {}
	
	for k,name in pairs(liste) do
		local setLayoutButton = CreateFrame("BUTTON", "MoonTimeOpenConfigButton"..name, MoonTime_Layout_noBrain_ConfigPanel, "UIPanelButtonTemplate")
		setLayoutButton:SetText(L["noBrainConfig_Title_" ..name])
		setLayoutButton:SetWidth(180)
		setLayoutButton:SetHeight(30)
		setLayoutButton:SetScript("OnClick", 
			function(self) 
				MoonTime_DB["Layout_noBrain"]["rotation"] = name
				MoonTime:setLayout(MoonTime_DB["layout"])	
				
				InterfaceOptionsFrame:Hide()
				InterfaceOptionsFrame_OpenToCategory("noBrain")
			end
		)
		
		
		local textbox = MoonTime:CreateFontString(setLayoutButton, "textbox", "ARTWORK","GameFontNormal",  "TOPLEFT", setLayoutButton, "TOPRIGHT", 10, -2, 440, 50, "LEFT", "TOP",  1, 1, 1, 1 );
		textbox:SetText(L["noBrainConfig_Description_" ..name])
		textbox:Show()
		
		buttons[name] = setLayoutButton
	end
	
	local function BuildLayoutAuswahl()
		-- local liste = {"Single", "AE", "Mix", "Custom1", "Custom2"};
		
		buttons[MoonTime_DB["Layout_noBrain"]["rotation"]]:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 10, -180)
		
		local a = 0
		
		for k,name in pairs(liste) do
			if name ~= MoonTime_DB["Layout_noBrain"]["rotation"] then
				buttons[name]:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 10, -240-a*50)
				a = a+1
			end
		end
		
	end
	
	
	
	
	
	
	
	MoonTime_Layout_noBrain_ConfigPanel_background:SetScript("OnShow",
		function(self)
			BuildLayoutAuswahl()
			
			
		end
	)
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	MoonTime_Layout_noBrain_ConfigPanel_background.okay = function()
		
		if ( MoonTime_Layout_noBrain_ConfigPanel_background:IsShown() ) then
			MoonTime_DB["Layout_noBrain"]["blink_factor"]  = editframe9:GetText();
			MoonTime_DB["Layout_noBrain"]["blink_time_descale"] = editframe8:GetText();
			MoonTime_DB["Layout_noBrain"]["blinkspells"][SS_icon] = checkbutton_1:GetChecked();
			MoonTime_DB["Layout_noBrain"]["blinkspells"][MF_icon] = checkbutton_2:GetChecked();
			MoonTime_DB["Layout_noBrain"]["blinkspells"][SunF_icon] = checkbutton_3:GetChecked();
			MoonTime_DB["Layout_noBrain"]["blinkspells"][W_icon] = checkbutton_4:GetChecked();
			MoonTime_DB["Layout_noBrain"]["blinkspells"][SF_icon] = checkbutton_5:GetChecked();
			
			MoonTime:setLayout(MoonTime_DB["layout"])	
		end	
	end
	
	
	InterfaceOptions_AddCategory(MoonTime_Layout_noBrain_ConfigPanel_background);
	
	
	
	-- MoonTime_Layout_noBrain_ConfigPanel:Hide()
	
	return MoonTime_Layout_noBrain_ConfigPanel_background
	
	
end


-- ****************************************
--
-- DO NOT CHANGE ANYTHING BELOW THIS 
--
-- ****************************************

local function registerConfig( )									-- Beginn initialize
	local configFrame
	local frame = CreateFrame( "Frame", "frame", UIParent	)
	frame:RegisterEvent("PLAYER_ENTERING_WORLD");
	frame:SetScript("OnEvent", 
		function( self, event )
			frame:UnregisterAllEvents()
			-- if event=="VARIABLES_LOADED" then							-- falls das ausloesende Event VARIABLES_LOADED ist ...
			-- werden die ausstehenden Events registriert
			MoonTimeDoorKeeper:RegisterConfig( self );
			-- end
		end
	)
	
	frame.createConfig = function( MainConfigFrame )
		configFrame = noBrainBuildConfig( MainConfigFrame )
		
		
		
		-- InterfaceOptionsFrame_OpenToCategory("MoonTime")
		-- InterfaceOptionsFrame:Hide()
		-- InterfaceOptionsFrame_OpenToCategory("noBrain")
		
	end
end																		-- Ende initialize

registerConfig(NameOfLayout)
